org.apache.ignite.mxbean

## Interface CacheGroupMetricsMXBean

- Deprecated.
  Check the `JmxMetricExporterSpi` with "name=cacheGroups.{cache_group_name}" instead.

      @Deprecated
       @MXBeanDescription(value="MBean that provides access to cache group descriptor.")
      public interface CacheGroupMetricsMXBean

  This interface defines JMX view on `CacheGroupContext`.
  See Also:
    `ReadOnlyMetricRegistry`, `JmxMetricExporterSpi`, `MetricExporterSpi`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<Integer,List<String>>` | `getAffinityPartitionsAssignmentMap()` Deprecated. Gets affinity partitions assignment map.
    `int` | `getBackups()` Deprecated. Gets count of backups configured for this cache group.
    `List<String>` | `getCaches()` Deprecated. Gets list of cache names of this cache group.
    `int` | `getClusterMovingPartitionsCount()` Deprecated. Gets count of partitions with state MOVING for this cache group in the entire cluster.
    `int` | `getClusterOwningPartitionsCount()` Deprecated. Gets count of partitions with state OWNING for this cache group in the entire cluster.
    `int` | `getGroupId()` Deprecated. Gets cache group id.
    `String` | `getGroupName()` Deprecated. Gets cache group name.
    `long` | `getIndexBuildCountPartitionsLeft()` Deprecated.
    `int` | `getLocalNodeMovingPartitionsCount()` Deprecated. Gets count of partitions with state MOVING for this cache group located on this node.
    `int` | `getLocalNodeOwningPartitionsCount()` Deprecated. Gets count of partitions with state OWNING for this cache group located on this node.
    `long` | `getLocalNodeRentingEntriesCount()` Deprecated. Gets count of entries remains to evict in RENTING partitions located on this node for this cache group.
    `int` | `getLocalNodeRentingPartitionsCount()` Deprecated. Gets count of partitions with state RENTING for this cache group located on this node.
    `int` | `getMaximumNumberOfPartitionCopies()` Deprecated. Calculates maximum number of partitions copies for all partitions of this cache group.
    `int` | `getMinimumNumberOfPartitionCopies()` Deprecated. Calculates minimum number of partitions copies for all partitions of this cache group.
    `Map<Integer,Set<String>>` | `getMovingPartitionsAllocationMap()` Deprecated. Gets allocation map of partitions with state MOVING in the cluster.
    `Map<Integer,Set<String>>` | `getOwningPartitionsAllocationMap()` Deprecated. Gets allocation map of partitions with state OWNING in the cluster.
    `List<Integer>` | `getPartitionIds()` Deprecated. Local partition ids.
    `int` | `getPartitions()` Deprecated. Gets count of partitions for this cache group.
    `long` | `getSparseStorageSize()` Deprecated. Storage space allocated for group adjusted for possible sparsity, in bytes.
    `long` | `getStorageSize()` Deprecated. Storage space allocated for group, in bytes.
    `long` | `getTotalAllocatedPages()` Deprecated. Cache group total allocated pages.
    `long` | `getTotalAllocatedSize()` Deprecated. Total size of memory allocated for group, in bytes.
    `String` | `getType()` Deprecated. Cache group type.

- - ### Method Detail

    - #### getGroupId

          @MXBeanDescription(value="Cache group id.")
          int getGroupId()

      Deprecated.
      Gets cache group id.
      Returns:
        Cache group id.

    - #### getGroupName

          @MXBeanDescription(value="Cache group name.")
          String getGroupName()

      Deprecated.
      Gets cache group name.
      Returns:
        Cache group name.

    - #### getCaches

          @MXBeanDescription(value="List of caches.")
          List<String> getCaches()

      Deprecated.
      Gets list of cache names of this cache group.
      Returns:
        List of cache names.

    - #### getBackups

          @MXBeanDescription(value="Count of backups configured for cache group.")
          int getBackups()

      Deprecated.
      Gets count of backups configured for this cache group.
      Returns:
        Count of backups.

    - #### getPartitions

          @MXBeanDescription(value="Count of partitions for cache group.")
          int getPartitions()

      Deprecated.
      Gets count of partitions for this cache group.
      Returns:
        Count of partitions.

    - #### getMinimumNumberOfPartitionCopies

          @MXBeanDescription(value="Minimum number of partition copies for all partitions of this cache group.")
          int getMinimumNumberOfPartitionCopies()

      Deprecated.
      Calculates minimum number of partitions copies for all partitions of this cache group.
      Returns:
        Minimum number of copies.

    - #### getMaximumNumberOfPartitionCopies

          @MXBeanDescription(value="Maximum number of partition copies for all partitions of this cache group.")
          int getMaximumNumberOfPartitionCopies()

      Deprecated.
      Calculates maximum number of partitions copies for all partitions of this cache group.
      Returns:
        Maximum number of copies.

    - #### getLocalNodeOwningPartitionsCount

          @MXBeanDescription(value="Count of partitions with state OWNING for this cache group located on this node.")
          int getLocalNodeOwningPartitionsCount()

      Deprecated.
      Gets count of partitions with state OWNING for this cache group located on this node.
      Returns:
        Partitions count.

    - #### getLocalNodeMovingPartitionsCount

          @MXBeanDescription(value="Count of partitions with state MOVING for this cache group located on this node.")
          int getLocalNodeMovingPartitionsCount()

      Deprecated.
      Gets count of partitions with state MOVING for this cache group located on this node.
      Returns:
        Partitions count.

    - #### getLocalNodeRentingPartitionsCount

          @MXBeanDescription(value="Count of partitions with state RENTING for this cache group located on this node.")
          int getLocalNodeRentingPartitionsCount()

      Deprecated.
      Gets count of partitions with state RENTING for this cache group located on this node.
      Returns:
        Partitions count.

    - #### getLocalNodeRentingEntriesCount

          @MXBeanDescription(value="Count of entries remains to evict in RENTING partitions located on this node for this cache group.")
          long getLocalNodeRentingEntriesCount()

      Deprecated.
      Gets count of entries remains to evict in RENTING partitions located on this node for this cache group.
      Returns:
        Entries count.

    - #### getClusterOwningPartitionsCount

          @MXBeanDescription(value="Count of partitions for this cache group in the entire cluster with state OWNING.")
          int getClusterOwningPartitionsCount()

      Deprecated.
      Gets count of partitions with state OWNING for this cache group in the entire cluster.
      Returns:
        Partitions count.

    - #### getClusterMovingPartitionsCount

          @MXBeanDescription(value="Count of partitions for this cache group in the entire cluster with state MOVING.")
          int getClusterMovingPartitionsCount()

      Deprecated.
      Gets count of partitions with state MOVING for this cache group in the entire cluster.
      Returns:
        Partitions count.

    - #### getOwningPartitionsAllocationMap

          @MXBeanDescription(value="Allocation map of partitions with state OWNING in the cluster.")
          Map<Integer,Set<String>> getOwningPartitionsAllocationMap()

      Deprecated.
      Gets allocation map of partitions with state OWNING in the cluster.
      Returns:
        Map from partition number to set of nodes, where partition is located.

    - #### getMovingPartitionsAllocationMap

          @MXBeanDescription(value="Allocation map of partitions with state MOVING in the cluster.")
          Map<Integer,Set<String>> getMovingPartitionsAllocationMap()

      Deprecated.
      Gets allocation map of partitions with state MOVING in the cluster.
      Returns:
        Map from partition number to set of nodes, where partition is located

    - #### getAffinityPartitionsAssignmentMap

          @MXBeanDescription(value="Affinity partitions assignment map.")
          Map<Integer,List<String>> getAffinityPartitionsAssignmentMap()

      Deprecated.
      Gets affinity partitions assignment map.
      Returns:
        Map from partition number to list of nodes. The first node in this list is where the PRIMARY partition is assigned, other nodes in the list is where the BACKUP partitions is assigned.

    - #### getType

          @MXBeanDescription(value="Cache group type.")
          String getType()

      Deprecated.
      Cache group type.

    - #### getPartitionIds

          @MXBeanDescription(value="Local partition ids.")
          List<Integer> getPartitionIds()

      Deprecated.
      Local partition ids.

    - #### getTotalAllocatedPages

          @MXBeanDescription(value="Cache group total allocated pages.")
          long getTotalAllocatedPages()

      Deprecated.
      Cache group total allocated pages.

    - #### getTotalAllocatedSize

          @MXBeanDescription(value="Total size of memory allocated for group, in bytes.")
          long getTotalAllocatedSize()

      Deprecated.
      Total size of memory allocated for group, in bytes.

    - #### getStorageSize

          @MXBeanDescription(value="Storage space allocated for group, in bytes.")
          long getStorageSize()

      Deprecated.
      Storage space allocated for group, in bytes.

    - #### getSparseStorageSize

          @MXBeanDescription(value="Storage space allocated for group adjusted for possible sparsity, in bytes.")
          long getSparseStorageSize()

      Deprecated.
      Storage space allocated for group adjusted for possible sparsity, in bytes.

    - #### getIndexBuildCountPartitionsLeft

          @MXBeanDescription(value="Count of partitions need processed for finished indexes create or rebuilding.")
          long getIndexBuildCountPartitionsLeft()

      Deprecated.
      Returns:
        Number of partitions need processed for finished indexes create or rebuilding. It is calculated as the number of local partition minus the processed. A value of 0 indicates that the index is built.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021